/*  This file is part of the KDE project
    Copyright (C) 2007 Matthias Kretz <kretz@kde.org>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) version 3.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.

*/

#include "audiodataoutput.h"

namespace Phonon
{
namespace Proxy
{

AudioDataOutput::AudioDataOutput(QObject *parent)
    : QObject(parent)
{
    createProxiedObject(BackendInterface::AudioDataOutputClass);
}

AudioDataOutput::~AudioDataOutput()
{
    send(Destructor);
    receive(Destructor);
}

Phonon::Experimental::AudioDataOutput::Format AudioDataOutput::format() const
{
}

int AudioDataOutput::dataSize() const
{
}

int AudioDataOutput::sampleRate() const
{
}

void AudioDataOutput::setFormat(Phonon::Experimental::AudioDataOutput::Format format)
{
}

void AudioDataOutput::setDataSize(int size)
{
}

typedef QMap<Phonon::Experimental::AudioDataOutput::Channel, QVector<float> > FloatMap;
typedef QMap<Phonon::Experimental::AudioDataOutput::Channel, QVector<qint16> > IntMap;


}} //namespace Phonon::Proxy
